=== modified file 'loggerhead/controllers/inventory_ui.py'
--- loggerhead/controllers/inventory_ui.py	2008-07-22 00:40:03 +0000
+++ loggerhead/controllers/inventory_ui.py	2008-07-22 20:07:08 +0000
@@ -90,4 +90,5 @@
             'navigation': navigation,
             'url': self._branch.context_url,
             'start_revid': start_revid,
+            'fileview_active':True,
         }

=== modified file 'loggerhead/templates/browse.pt'
--- loggerhead/templates/browse.pt	2008-07-01 03:28:31 +0000
+++ loggerhead/templates/browse.pt	2008-07-22 20:07:08 +0000
@@ -9,9 +9,7 @@
   <body>
 
     <h1 metal:fill-slot="heading" style="padding-bottom: 1em">
-      <tal:title condition="title" content="title">
-        ${title}
-      </tal:title>
+      <tal:title condition="title" content="title" />
       <tal:no-title condition="not:title">
         bazaar branches in loggerhead
       </tal:no-title>
@@ -21,28 +19,18 @@
       <div class="browse-project"
            tal:repeat="project projects">
         <div class="browse-project-name"
-             tal:content="project/friendly_name">
-          ${project.friendly_name}
-        </div>
+             tal:content="project/friendly_name"></div>
 
         <div class="browse-project-description"
              tal:condition="python:len(project.long_description) > 0"
-             tal:content="structure project/long_description">
-          ${XML(project.long_description)}
-        </div>
+             tal:content="structure project/long_description"></div>
 
         <div class="browse-view">
           <table>
             <tr class="heading">
-              <th>
-                Name
-              </th>
-              <th>
-                Description
-              </th>
-              <th>
-                Last change
-              </th>
+              <th>Name</th>
+              <th>Description</th>
+              <th>Last change</th>
               <th />
             </tr>
             <tal:block repeat="view python:views_by_project[project]">

=== modified file 'loggerhead/templates/macros.pt'
--- loggerhead/templates/macros.pt	2008-07-22 18:51:42 +0000
+++ loggerhead/templates/macros.pt	2008-07-22 20:07:08 +0000
@@ -4,9 +4,7 @@
   <head>
     <meta content="text/html; charset=utf-8" http-equiv="Content-Type" />
 
-    <title metal:define-slot="title">
-      Title.
-    </title>
+    <title metal:define-slot="title"></title>
     <link rel="stylesheet"
           tal:attributes="href python:branch.static_url('/static/css/global.css')" />
     <script type="text/javascript"
@@ -26,35 +24,40 @@
     <ul id="menuTabs">
         <form tal:attributes="action python:branch.url('/changes', start_revid=getattr(navigation, 'start_revid', None), 
                                                                    file_id=getattr(navigation, 'file_id', None))">
-      	<div id="finderBox">
+      	  <div id="finderBox">
             <label>search:</label> <input type="search" name="q" id="q" autocomplete="off" onblur="hide_search();" /> 
             <div><a tal:attributes="href python:url(['/atom']);
                                     title string:RSS feed for ${branch/friendly_name}"> 
                  <img tal:attributes="src python:branch.static_url('/static/images/ico_rss.gif')" alt="RSS" /></a>
             </div>
-        </div>
+          </div>
         </form>
+        
+        <tal:block tal:condition="not:fileview_active">
         <li><a tal:attributes="href python:url('/changes', clear=1);
                                title string:Changes;
                                id string:on">Changes</a></li>
-        <li><a tal:attributes="href  python:url('/files', clear=1);
+        <li><a tal:attributes="href python:url('/files', clear=1);
                                title string:Files">Files</a></li>
+        </tal:block>
+        <tal:block tal:condition="fileview_active">
+        <li><a tal:attributes="href python:url('/changes', clear=1);
+                               title string:Changes">Changes</a></li>
+        <li><a tal:attributes="href python:url('/files', clear=1);
+                               title string:Files;
+                               id string:on">Files</a></li>
+        </tal:block>
         <li><a tal:attributes="href string:https://help.launchpad.net/Loggerhead;
                                title string:Help">Help</a></li>       
       </ul>
       <div id="loggerheadCont">
     
-     <div id="search_terms"></div>
-
-    <h1 metal:define-slot="heading">
-      Heading
-    </h1>
-
-    <div metal:define-slot="content">
-      Content.
-    </div>
-
-    <p class="fl">Launchpad runs <a href="https://launchpad.net/loggerhead" class="link">Loggerhead</a> on <a href="http://bazaar-vcs.org/" class="link">Bazaar</a> branches</p>
+         <div id="search_terms"></div>
+
+        <h1 metal:define-slot="heading"></h1>
+        <div metal:define-slot="content"></div>
+
+        <p class="fl">Launchpad runs <a href="https://launchpad.net/loggerhead" class="link">Loggerhead</a> on <a href="http://bazaar-vcs.org/" class="link">Bazaar</a> branches</p>
     </div>
   </body>
 </html>

